var gulp         = require("gulp");
var gutil        = require("gulp-util");
var gzip         = require("gulp-gzip");
var cleanCSS     = require('gulp-clean-css');
var cleanJS      = require('gulp-uglify');
var cleanHTML    = require('gulp-minify-html');

var target_js    = "opt_files/**/*.js";
var target_css   = "opt_files/**/*.css";
var target_html  = "opt_files/**/*.html";
var output_files = "output_files/";

gulp.task("default", function() {
  gulp.run("compress");
});

gulp.task("compress", function() {
  gulp.src(target_js)
    //.pipe(gzip())
    .pipe(cleanJS())
    .pipe(gulp.dest(output_files));
  gulp.src(target_css)
    //.pipe(gzip())
    .pipe(cleanCSS())
    .pipe(gulp.dest(output_files));
  gulp.src(target_html)
    //.pipe(gzip())
    .pipe(cleanHTML())
    .pipe(gulp.dest(output_files));
});

